Package ru.bitel.bgbilling.modules.bill.server.bean

# Class AttributeManager

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.AttributeManager

@Deprecated public class AttributeManager extends Object
Deprecated.
Использовать AttributeDao и/или AttributeTypeDao

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeManager(Connection con, int moduleId)`
  Deprecated.
  `AttributeManager(Connection con, int moduleId, String config)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearAttributes()`
  Deprecated.
  Удаление всех реквизитов для всех договоров
  `void`
  `clearAttributes(int cid)`
  Deprecated.
  Удаление всех реквизитов для данного договора
  `boolean`
  `deleteAttribute(int id)`
  Deprecated.
  `List<Attribute>`
  `getActiveAttributeList(int contractId)`
  Deprecated.
  Получение всех активных реквизитов на текущий момент
  `Attribute`
  `getAttribute(int contractId, int id)`
  Deprecated.
  `List<Attribute>`
  `getAttributeList(int contractId)`
  Deprecated.
  `List<AttributeType>`
  `getAttributeTypeList()`
  Deprecated.
  `Map<String,AttributeType>`
  `getAttributeTypeMap()`
  Deprecated.
  `boolean`
  `updateAttribute(int id, int contractId, String name, String value, Calendar start, Calendar end)`
  Deprecated.
  `boolean`
  `updateAttribute(Attribute attribute)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttributeManager

    public AttributeManager(Connection con, int moduleId)
    Deprecated.

  - ### AttributeManager

    @Deprecated public AttributeManager(Connection con, int moduleId, String config)
    Deprecated.

- ## Method Details

  - ### getAttributeTypeMap

    public Map<String,AttributeType> getAttributeTypeMap() throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### getAttributeTypeList

    public List<AttributeType> getAttributeTypeList() throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### clearAttributes

    public void clearAttributes() throws Exception
    Deprecated.
    Удаление всех реквизитов для всех договоров
    Throws:
      `Exception`

  - ### clearAttributes

    public void clearAttributes(int cid) throws Exception
    Deprecated.
    Удаление всех реквизитов для данного договора
    Parameters:
      `cid` - - код договора
    Throws:
      `Exception`

  - ### getActiveAttributeList

    public List<Attribute> getActiveAttributeList(int contractId) throws SQLException
    Deprecated.
    Получение всех активных реквизитов на текущий момент
    Throws:
      `SQLException`

  - ### getAttributeList

    public List<Attribute> getAttributeList(int contractId) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### getAttribute

    public Attribute getAttribute(int contractId, int id) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### updateAttribute

    public boolean updateAttribute(Attribute attribute) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### updateAttribute

    public boolean updateAttribute(int id, int contractId, String name, String value, Calendar start, Calendar end) throws Exception
    Deprecated.
    Throws:
      `Exception`

  - ### deleteAttribute

    public boolean deleteAttribute(int id) throws Exception
    Deprecated.
    Throws:
      `Exception`